<div class="container">
  <div class="columns">
    <div class="column col-7 col-mx-auto">

      <div class="panel">
        <div class="panel-header">
          <div class="panel-title">
            <div class="blog_preview">
              <h3 class="title"><%= @post.title %></h3>
              <p class="body"><%= @post.body %></p>
              Tags: <small class="tag">
              <%= for tag <- @post.tags do %>
              <%= tag.name %>, 
              <% end %>
              </small>
            </div>
          </div>
        </div>
        <div class="panel-body">
          <div>
            <h5>Comments</h5>
                <%= for comment <- @post.comments do %>
                <div class="comment">
                <strong><%= comment.name %></strong>
                  <p><%= comment.body %></p>
                  <button class="btn btn-sm btn-error">Delete</button>
                  </div>
                <% end %>
          </div>
        </div>
        <div class="panel-footer">
          <div>
            <h5>Add a comment</h5>
            <%= form_for @comment_changeset, Routes.post_comment_path(@conn, :create, @post), fn f -> %>
              <%= label f, :name %>
              <%= text_input f, :name, class: "form-input" %>
              <%= error_tag f, :name %>

              <%= label f, :body %>
              <%= textarea f, :body, class: "form-input" %>
              <%= error_tag f, :body %><br>
              <div>
                <%= submit "Submit", class: "btn btn-success" %>
              </div>
            <% end %>
          </div>
          
          <div>
              <%= form_for @conn, "/posts",[as: :post], fn f -> %>
              <div class="input-group input-inline">
                <input class="form-input" id="tag_name" name="post[post_id]" type="hidden" placeholder="add tag">
                <select class="form-input" id="tag_name" name="post[tag_id]" placeholder="add tag"><option>Sales<option>
                </select>
                <%= error_tag f, :name %>
                <button class="btn btn-primary input-group-btn" type="submit">Add</button>
              </div>
              <% end %>
            </div>
        </div>
      </div>

      

      

      

    </div>

    

  </div>
</div>



<%# <span><%= link "Edit", to: Routes.post_path(@conn, :edit, @post) %>
<%# <span><%= link "Back", to: Routes.post_path(@conn, :index) %>
